WordPress.org

Support

Support » How-To and Troubleshooting » upgrade to 3.4.2 failed with database errors

upgrade to 3.4.2 failed with database errors

  • Squeezer999
    Member

    @squeezer999

    I ran the upgrade to 3.4.2 in the dashboard, but i am stuck in an “Database Update Required” loop. I upgrade the db and it says “Upgrade Complete” but when I click on the Continue button, I’m back at the Database Update Required page.

    When I add define(‘WP_ALLOW_REPAID’, true); to wp-config.php and run /wp-admin/maint/repair.php and click on Repair Database, I receive the following errors:

    The wp_users table is okay.

    The wp_usermeta table is okay.

    The wp_posts table is okay.

    The wp_comments table is okay.

    The wp_links table is okay.

    The wp_options table is not okay. It is reporting the following error: . WordPress will attempt to repair this table…
    Failed to repair the wp_options table. Error:

    The wp_postmeta table is not okay. It is reporting the following error: . WordPress will attempt to repair this table…
    Failed to repair the wp_postmeta table. Error:

    The wp_terms table is not okay. It is reporting the following error: . WordPress will attempt to repair this table…
    Failed to repair the wp_terms table. Error:

    The wp_term_taxonomy table is not okay. It is reporting the following error: . WordPress will attempt to repair this table…
    Failed to repair the wp_term_taxonomy table. Error:

    The wp_term_relationships table is not okay. It is reporting the following error: . WordPress will attempt to repair this table…
    Failed to repair the wp_term_relationships table. Error:

    The wp_commentmeta table is not okay. It is reporting the following error: . WordPress will attempt to repair this table…
    Failed to repair the wp_commentmeta table. Error:

    Some database problems could not be repaired. Please copy-and-paste the following list of errors to the WordPress support forums to get additional assistance.

    wp_options: wp_postmeta: wp_terms: wp_term_taxonomy: wp_term_relationships: wp_commentmeta:

    wp_options:
    wp_postmeta:
    wp_terms:
    wp_term_taxonomy:
    wp_term_relationships:
    wp_commentmeta:

    My database is MySQL 5.5.27 on Fedora 17 i686.

Viewing 4 replies - 1 through 4 (of 4 total)
Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘upgrade to 3.4.2 failed with database errors’ is closed to new replies.